package com.realnet.basic.Services;
import com.realnet.basic.Repository.FrequencyRepository;
import com.realnet.basic.Entity.Frequency
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class FrequencyService {
@Autowired
private FrequencyRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Frequency Savedata(Frequency data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Frequency save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Frequency> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Frequency> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Frequency> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Frequency getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Frequency update(Frequency data,Integer id) {
	Frequency old = Repository.findById(id).get();
old.setName(data.getName());

final Frequency test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
